Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in freeimage
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in freeimage
ID: openSUSE-SU-2018:0329-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Do, 1. Februar 2018, 07:15
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5684

Originalnachricht

   openSUSE Security Update: Security update for freeimage
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0329-1
Rating: important
References: #1002621
Cross-References: CVE-2016-5684
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for freeimage fixes one issues.

This security issue was fixed:

- CVE-2016-5684: Prevent out-of-bounds write vulnerability in the XMP
image handling functionality. A specially crafted XMP file could have
caused an arbitrary memory overwrite resulting in code execution
(boo#1002621).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-121=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

freeimage-debugsource-3.17.0-5.1
freeimage-devel-3.17.0-5.1
libfreeimage3-3.17.0-5.1
libfreeimage3-debuginfo-3.17.0-5.1
libfreeimageplus3-3.17.0-5.1
libfreeimageplus3-debuginfo-3.17.0-5.1


References:

https://www.suse.com/security/cve/CVE-2016-5684.html
https://bugzilla.suse.com/1002621

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung